Lấy danh sách mẫu biểu đồ được chia sẻ
curl --request GET \
--url https://api.fireant.vn/me/following-chart-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/me/following-chart-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/me/following-chart-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/me/following-chart-templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/me/following-chart-templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/me/following-chart-templates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/me/following-chart-templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"chartTemplateID": 123,
"name": "<string>",
"description": "<string>",
"userName": "<string>",
"symbol": "<string>",
"interval": "<string>",
"state": "<string>",
"template": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"sharing": true,
"isSystem": true
}
]Me
Lấy danh sách mẫu biểu đồ được chia sẻ
GET
/
me
/
following-chart-templates
Lấy danh sách mẫu biểu đồ được chia sẻ
curl --request GET \
--url https://api.fireant.vn/me/following-chart-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/me/following-chart-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/me/following-chart-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/me/following-chart-templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/me/following-chart-templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/me/following-chart-templates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/me/following-chart-templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"chartTemplateID": 123,
"name": "<string>",
"description": "<string>",
"userName": "<string>",
"symbol": "<string>",
"interval": "<string>",
"state": "<string>",
"template": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"sharing": true,
"isSystem": true
}
]Ủy quyền
OAuth2 Implicit Grant
Scopes
user-data-read
Đọc tất cả dữ liệu của người dùng hiện tại
Tham số truy vấn
Từ khóa tìm kiếm
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)